package com.dxhy.erp.entity.sdny;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @Program：image-system
 * @Description：条用S4请求体
 * @Author：LearnLi
 * @Create:2021-06-26 11:21
 */
@XmlRootElement(name = "S4Request")
@XmlAccessorType(value = XmlAccessType.FIELD)
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class S4Request {

    @JSONField(name = "SYSID")
    private String SYSID;
    @JSONField(name = "IFYWID")
    private String IFYWID;
    @JSONField(name = "BSKEY")
    private String BSKEY;
    @JSONField(name = "SAPKEY")
    private String SAPKEY;
    @JSONField(name = "ZORG")
    private String ZORG;
    @JSONField(name = "ZFILED1")
    private String ZFILED1;
    @JSONField(name = "ZFILED2")
    private String ZFILED2;
    @JSONField(name = "ZFILED3")
    private String ZFILED3;
    @JSONField(name = "ZFILED4")
    private String ZFILED4;
    @JSONField(name = "ZFILED5")
    private String ZFILED5;
    @JSONField(name = "ZDATA")
    private String ZDATA;


    public String getSYSID() {
        if (SYSID == null) {
            SYSID = "";
        }
        return SYSID;
    }

    public String getIFYWID() {
        if (IFYWID == null) {
            IFYWID = "";
        }
        return IFYWID;
    }

    public String getBSKEY() {
        if (BSKEY == null) {
            BSKEY = "";
        }
        return BSKEY;
    }

    public String getSAPKEY() {
        if (SAPKEY == null) {
            SAPKEY = "";
        }
        return SAPKEY;
    }

    public String getZORG() {
        if (ZORG == null) {
            ZORG = "";
        }
        return ZORG;
    }

    public String getZFILED1() {
        if (ZFILED1 == null) {
            ZFILED1 = "";
        }
        return ZFILED1;
    }

    public String getZFILED2() {
        if (ZFILED2 == null) {
            ZFILED2 = "";
        }
        return ZFILED2;
    }

    public String getZFILED3() {
        if (ZFILED3 == null) {
            ZFILED3 = "";
        }
        return ZFILED3;
    }

    public String getZFILED4() {
        if (ZFILED4 == null) {
            ZFILED4 = "";
        }
        return ZFILED4;
    }

    public String getZFILED5() {
        if (ZFILED5 == null) {
            ZFILED5 = "";
        }
        return ZFILED5;
    }

    public String getZDATA() {
        if (ZDATA == null) {
            ZDATA = "";
        }
        return ZDATA;
    }


}
